## org.gnu.gtk.event
Class ButtonEvent

    java.lang.Object
      org.gnu.gtk.event.GtkEvent
          org.gnu.gtk.event.ButtonEvent

All Implemented Interfaces:
  java.io.Serializable

public class ButtonEvent
extends GtkEvent

An event represeting action by a `Button` widget.

See Also:
  Serialized Form

Nested Class Summary
`static class` `ButtonEvent.Type` Type of a ButtonEvent

Field Summary

Fields inherited from class org.gnu.gtk.event.GtkEvent
`source, type`

Constructor Summary
`ButtonEvent(java.lang.Object source, ButtonEvent.Type type)` Creates a new Button Event.

Method Summary
`boolean` `isOfType(ButtonEvent.Type aType)`

Methods inherited from class org.gnu.gtk.event.GtkEvent
`getSource, getType, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ButtonEvent

    public ButtonEvent(java.lang.Object source,
                       ButtonEvent.Type type)

  Creates a new Button Event. This is used internally by java-gnome. Users only have to deal with listeners.

Method Detail

### isOfType

    public boolean isOfType(ButtonEvent.Type aType)

  Returns:
    True if the type of this event is the same as that stated.